%define pkg       memcached
%define ver       1.2.8
%define maj       %(echo %{ver} | cut -d'.' -f1)
%define min       %(echo %{ver} | cut -d'.' -f2)
%define pkgid     %{maj}%{min}
%define pkgstr    %{pkg}%{pkgid}


Summary:          A distributed memory object cache
Name:             %{pkgstr}
Version:          %{ver}
Release:          1%{?dist}%{?pext}
License:          BSD
Group:            System Environment/Daemons
Source0:          http://www.danga.com/%{pkg}/dist/%{pkg}-%{ver}.tar.gz
Source1:          %{pkg}.init
Source2:          %{pkg}.sysconfig
URL:              http://www.danga.com/%{pkg}/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Brad Fitzpatrick <brad@danga.com>
Requires(pre):    /usr/sbin/groupadd /usr/sbin/useradd
Requires(post):   /sbin/chkconfig
Requires(preun):  /sbin/chkconfig /sbin/service
Requires(postun): /sbin/service
BuildRequires:    libevent-devel
Conflicts:        %{pkg}


%description
Memcached is a high-performance, distributed memory object caching system,
generic in nature, but primarily intended for use in speeding up dynamic
web applications by alleviating database load.


%prep
%setup -q -n %{pkg}-%{ver}


%build
%configure \
	--bindir=%{_sbindir} \
	--enable-threads

%{__make} %{?_smp_mflags}


%check
[ -x %{_bindir}/prove ] && %{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_initrddir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/run/%{pkg}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__install} -m 0755 %{SOURCE1} ${RPM_BUILD_ROOT}%{_initrddir}/%{pkg}
%{__install} -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{pkg}


%pre
if ! getent group  %{pkg} >/dev/null 2>&1; then
  /usr/sbin/groupadd -r %{pkg}
fi
if ! getent passwd %{pkg} >/dev/null 2>&1; then
  /usr/sbin/useradd  -r -g %{pkg}        \
	-d / -c "Memcached Service User" \
	-M -s /sbin/nologin %{pkg}
fi
exit 0			# Always pass


%post
/sbin/chkconfig --add %{pkg}


%preun
if [ $1 -eq 0 ]; then	# Remove
  /sbin/service %{pkg} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{pkg}
fi


%postun
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{pkg} condrestart >/dev/null 2>&1 || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc --parents doc/CONTRIBUTORS doc/*.txt
%{_initrddir}/%{pkg}
%config(noreplace) %{_sysconfdir}/sysconfig/%{pkg}
%{_sbindir}/%{pkg}
%{_sbindir}/%{pkg}-debug
%{_mandir}/man1/%{pkg}.1*
%attr(750,%{pkg},%{pkg}) %dir %{_localstatedir}/run/%{pkg}


%changelog
* Sat Aug 08 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.8-1
- Forked from memcached
